> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openmail.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke pod API key

> Permanently revoke a pod-scoped API key. Any integration using it immediately starts getting 401s. Requires an account-wide key.



## OpenAPI

````yaml /api-reference/openapi.json delete /v1/pods/{id}/api-keys/{keyId}
openapi: 3.0.3
info:
  title: OpenMail API
  description: >-
    Email infrastructure API for AI agents. Create inboxes, send and receive
    email, and get real-time notifications via webhooks.
  version: 1.0.0
  license:
    name: Proprietary
servers:
  - url: https://api.openmail.sh
security:
  - bearerAuth: []
tags:
  - name: pods
    description: Isolated sub-accounts for your end users or tenants
  - name: inboxes
    description: Email inboxes and their webhook configuration
  - name: messages
    description: Sending and listing messages
  - name: threads
    description: Conversation threads and read status
  - name: attachments
    description: Downloading and extracting text from attachments
paths:
  /v1/pods/{id}/api-keys/{keyId}:
    delete:
      tags:
        - pods
      summary: Revoke pod API key
      description: >-
        Permanently revoke a pod-scoped API key. Any integration using it
        immediately starts getting 401s. Requires an account-wide key.
      operationId: deletePodApiKey
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
          description: Pod ID or your own `clientId`
        - schema:
            type: string
          in: path
          name: keyId
          required: true
          description: The API key ID to revoke
      responses:
        '204':
          description: Key revoked
        '403':
          description: The authenticating key is pod-scoped and cannot manage keys
          content:
            application/json:
              schema:
                description: The authenticating key is pod-scoped and cannot manage keys
                allOf:
                  - $ref: '#/components/schemas/Error'
        '404':
          description: Key not found
          content:
            application/json:
              schema:
                description: Key not found
                allOf:
                  - $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      additionalProperties: true
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````